Subject: Re: [bug#45632] [PATCH] guix package: Warn if uses has 'guix' package in profile.

From: zimoun <[email-masked]>
Date: Thu, 7 Jan 2021 17:39:58 +0100

Hi,

On Sun, 3 Jan 2021 at 19:33, Jakub Kądziołka <[email-masked]> wrote:
>
> * guix/scripts/package.scm (warn-about-guix-in-profile): New procedure.
> (process-actions): Call WARN-ABOUT-GUIX-IN-PROFILE before executing
> transaction.
> ---
>
> Unresolved questions:
> - Is this the right place to put warn-about-guix-in-profile?
> - The warning message seems to be hard-wrapped. Is this the right
>   line length?
> - Do we want to make this configurable? Some other warnings are, but in
>   those cases it is the threshold that gets configured. In this case,
>   there is no threshold.

What is the use case?  I have missed some context.

For example, I have the package 'guix' in some of my profiles and I
would be annoyed to be warned.  And I have it for good reasons. :-)
Once the story about extension is good enough, maybe the warning would
be a good advice, otherwise it could be confusing.  IMHO.

All the best,
simon